clang-tools 10.0.0

Namespaces | Macros | Functions
Diagnostics.cpp File Reference
`#include "Diagnostics.h"`
`#include "../clang-tidy/ClangTidyDiagnosticConsumer.h"`
`#include "Compiler.h"`
`#include "Logger.h"`
`#include "Protocol.h"`
`#include "SourceCode.h"`
`#include "clang/Basic/AllDiagnostics.h"`
`#include "clang/Basic/Diagnostic.h"`
`#include "clang/Basic/DiagnosticIDs.h"`
`#include "clang/Basic/FileManager.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Lex/Token.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/DenseSet.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/Twine.h"`
`#include "llvm/Support/Capacity.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/ScopedPrinter.h"`
`#include "llvm/Support/Signals.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
`#include <cstddef>`
`#include "clang/Basic/DiagnosticASTKinds.inc"`
`#include "clang/Basic/DiagnosticAnalysisKinds.inc"`
`#include "clang/Basic/DiagnosticCommentKinds.inc"`
`#include "clang/Basic/DiagnosticCommonKinds.inc"`
`#include "clang/Basic/DiagnosticDriverKinds.inc"`
`#include "clang/Basic/DiagnosticFrontendKinds.inc"`
`#include "clang/Basic/DiagnosticLexKinds.inc"`
`#include "clang/Basic/DiagnosticParseKinds.inc"`
`#include "clang/Basic/DiagnosticRefactoringKinds.inc"`
`#include "clang/Basic/DiagnosticSemaKinds.inc"`
`#include "clang/Basic/DiagnosticSerializationKinds.inc"`
Include dependency graph for Diagnostics.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Macros
#define | DIAG(ENUM, CLASS, DEFAULT_MAPPING, DESC, GROPU, SFINAE, NOWERROR, SHOWINSYSHEADER, CATEGORY)

## Functions
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const DiagBase &D)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Fix &F)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Diag &D)
CodeAction | clang::clangd::toCodeAction (const Fix &D, const URIForFile &File)
| Convert from Fix to LSP CodeAction. More...
void | clang::clangd::toLSPDiags (const Diag &D, const URIForFile &File, const ClangdDiagnosticOptions &Opts, llvm::function_ref< void(clangd::Diagnostic, llvm::ArrayRef< Fix >)> OutFn)
| Conversion to LSP diagnostics. More...
int | clang::clangd::getSeverity (DiagnosticsEngine::Level L)
| Convert from clang diagnostic level to LSP severity. More...
static void | clang::clangd::writeCodeToFixMessage (llvm::raw_ostream &OS, llvm::StringRef Code)
| Sanitizes a piece for presenting it in a synthesized fix message. More...
static void | clang::clangd::fillNonLocationData (DiagnosticsEngine::Level DiagLevel, const clang::Diagnostic &Info, clangd::DiagBase &D)
| Fills `D` with all information, except the location-related bits. More...

## Macro Definition Documentation

## ◆ DIAG

#define DIAG | ( |  | ENUM,
|  |  | CLASS,
|  |  | DEFAULT_MAPPING,
|  |  | DESC,
|  |  | GROPU,
|  |  | SFINAE,
|  |  | NOWERROR,
|  |  | SHOWINSYSHEADER,
|  |  | CATEGORY
| ) |  |

Value:
case clang::diag::ENUM: \
return #ENUM;